Skip to content

Stream

Retrieve stream feeds. Supports fetching a feed by stream ID and resuming a feed from a cursor.

Fetch stream feed by stream id

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
sinceTimeinteger, (int64)
untilTimeinteger, (int64)
sinceIdstring
untilIdstring
startinteger, (int32)

Number of records to skip. 0 for none

rowsinteger, (int32)

Number of records to return

sortFieldstring(SortKey)

Field to sort the data

sortOrderstring(Order)

Order in which data has to be sorted.

curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/streams/feed \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "sinceTime": 0,
    "untilTime": 0,
    "sinceId": "string",
    "untilId": "string",
    "start": 0,
    "rows": 0,
    "sortField": "string",
    "sortOrder": "string"
  }'

Responses

Success

Bodyapplication/json
dataobject
errorsArray of objects(Error)
metadataobject(ResponseMetadata)
Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }